All users were logged out of Bugzilla on October 13th, 2018

Display the wrong date 01/01/1970

RESOLVED INVALID

Status

--
major
RESOLVED INVALID
12 years ago
11 years ago

People

(Reporter: haijin.ash, Assigned: mscott)

Tracking

x86
Windows XP

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

12 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.8.1.3) Gecko/20070309 Firefox/2.0.0.3
Build Identifier: version 2.0.0.0 (20070326)

Some of my mails are displayed with the wrong date since I moved to Thunderbird 2.

In the following example, the displayed date is 01/01/1970 but should be 22/03/2007 15:32
This bug appeared when I upgraded from Thunderbird 1.5.0.10 to Thunderbird 2.0.0.0 RC.

From - Thu Mar 22 15:46:23 2007
X-Account-Key: account2
X-UIDL: 0000c2f2456e303f
X-Mozilla-Status: 0011
X-Mozilla-Status2: 00000000
Return-Path: <#####@########.###>
X-Original-To: #####@########.###
Delivered-To: #####@########.###
Received: from [###.###.###.###] (###################### [###.###.###.###])
	by ####.########.com (Postfix) with ESMTP id 2A7F0301F4
	for <#####@########.###>; Thu, 22 Mar 2007 15:46:42 +0900 (JST)
Mime-Version: 1.0 (Apple Message framework v624)
In-Reply-To: <4601EC21.1060902@########.###>
References: <c09d752313c4e66ecc38fad67c3317be@########.###> <4601EC21.1060902@########.###>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Message-Id: <306cec3f060ec18c50a88177473e2a81@########.###>
Content-Transfer-Encoding: quoted-printable
From: ####### <#####@########.###>
Subject: Re: Does this link work, still?
Date: Thu, 1 Jan 1970 15:32:44 +0900
To: =?ISO-8859-1?Q?#######?= <#####@########.###>
X-Mailer: Apple Mail (2.624)

........Message Body........

Reproducible: Always

Steps to Reproduce:
1.
2.
3.

Comment 1

12 years ago
The Date-header clearly says that the date is "Thu, 1 Jan 1970 15:32:44 +0900"
(Reporter)

Comment 2

12 years ago
I don't know what was the date header before I upgrade to thunderbird2.
But, as I said, I received that mail before to upgrade and the date displayed was correct.
I wonder if that field was missing and thunderbird2 added it wrongly. Is it possible?
Not very likely. Maybe the written date where used for some odd reason earlier, but as the Date header says 1970, that's what supposed to be displayed.

->INVALID
Status: UNCONFIRMED → RESOLVED
Last Resolved: 12 years ago
Resolution: --- → INVALID
(Reporter)

Comment 4

12 years ago
Well, this occurred only when I switched from thunderbird 1.5 to thunderbird 2.0
I was thinking that the import function (if any) messed up with my previous emails.
Afterwards, I received emails form the concerned persons and the date was correct.
Status: RESOLVED → UNCONFIRMED
Resolution: INVALID → ---
There is no such import function, the exact same mails are used...

Comment 6

11 years ago
Sébastien, I'm not finding what changed the behavior, but the Date: field is what will be honored, if present.  
Version: unspecified → 2.0
(In reply to comment #6)
> Sébastien, I'm not finding what changed the behavior, but the Date: field is
> what will be honored, if present.  
> 

As above, lack of information, and as of comment #3, -> INVALID.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 12 years ago11 years ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.